| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IDescriptor Struct Referenceabstract
Descriptor extractor

Descriptor interface. More...

`#include <IDescriptor.h>`

Inheritance diagram for fsdk::IDescriptor:

## Public Member Functions
virtual uint32_t | getModelVersion () const noexcept=0
| Get algorithm model version this descriptor was created with. More...
virtual DescriptorType | getDescriptorType () const noexcept=0
| Get type of descriptor. More...
virtual uint32_t | getDescriptorLength () const noexcept=0
| return size of descriptor in bytes. More...
virtual bool | getDescriptor (uint8_t *buffer) const noexcept=0
| Copy descriptor data to user provided buffer. More...
virtual void | setDescriptor (const uint8_t *buffer) noexcept=0
| Copy descriptor from user providedbuffer. More...
Public Member Functions inherited from fsdk::IDataStorageObject
virtual void | clear () noexcept=0
| Clear object data. More...
virtual IRefCounted * | getParentObject () const noexcept=0
| Get parent object (one that has created this). More...
Public Member Functions inherited from fsdk::ISerializableObject
virtual void | getSize (Sizer &sizer, uint32_t flags=Default) const noexcept=0
| Estimate size of this object binary data. More...
virtual Result< Error > | load (IArchive *archive, uint32_t flags=Default)=0
| Load object from archive. More...
virtual Result< Error > | save (IArchive *archive, uint32_t flags=Default) const =0
| Save object to archive. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Additional Inherited Members
Public Types inherited from fsdk::ISerializableObject
enum | Error : uint32_t { Error::Ok, Error::Size, Error::Signature, Error::ArchiveRead, Error::InputArchive, Error::ArchiveWrite }
| Serialization nerror codes. More...
enum | Flags { Default = 0, NoSignature = 1 }
| Serialization flags. More...

## Detailed Description

Descriptor interface.

Used for matching.

## Member Function Documentation

virtual bool fsdk::IDescriptor::getDescriptor | ( | uint8_t * | buffer | ) | const
| pure virtual noexcept

Copy descriptor data to user provided buffer.

Parameters

  [out] | buffer | user provided buffer.

Returns
  true if OK, and false if ERROR.

Note
  This method is thread safe.
  buffer must be preallocated by client code.

virtual uint32_t fsdk::IDescriptor::getDescriptorLength | ( |  | ) | const
| pure virtual noexcept

return size of descriptor in bytes.

Returns
  size of descriptor in bytes.

Note
  This method is thread safe.

virtual DescriptorType fsdk::IDescriptor::getDescriptorType | ( |  | ) | const
| pure virtual noexcept

Get type of descriptor.

Returns
  type as enum.

See Also
  DescriptorType for details.

virtual uint32_t fsdk::IDescriptor::getModelVersion | ( |  | ) | const
| pure virtual noexcept

Get algorithm model version this descriptor was created with.

Returns
  Version as integral number.

virtual void fsdk::IDescriptor::setDescriptor | ( | const uint8_t * | buffer | ) |
| pure virtual noexcept

Copy descriptor from user providedbuffer.

Parameters

  [in] | buffer | user provided buffer.

The documentation for this struct was generated from the following file:

- include/fsdk/IDescriptor.h